import { Meta, Story, Preview } from '@storybook/addon-docs/blocks';
import Button from '@material-ui/core/Button';
import MenuItem from '@material-ui/core/MenuItem';
import { HeaderSection } from './HeaderSection';
import PostOwnerAvatar from '../../data-display/PostOwnerAvatar';
import IconButtonPopover from '../../buttons/IconButtonPopover';
import { userMocks } from '../../data/mockups';

<Meta title="Sections/HeaderSection" component={HeaderSection} />

# Header
 
The header section
        
<Preview>
  <Story name="anonymous">
    <HeaderSection
        nav={
            <React.Fragment>
                <Button color="inherit">Home</Button>
                <Button color="inherit">Explore</Button>
                <Button color="inherit">Metrics</Button>
            </React.Fragment>
        }
        action={<Button color="inherit" variant="outlined">Login</Button>}
    />
  </Story>
</Preview>

<Preview>
  <Story name="anonymous-transparent">
    <HeaderSection
        variant="transparent"
        nav={
            <React.Fragment>
                <Button color="inherit">Home</Button>
                <Button color="inherit">Explore</Button>
                <Button color="inherit">Metrics</Button>
            </React.Fragment>
        }
        action={<Button color="inherit" variant="outlined">Login</Button>}
    />
  </Story>
</Preview>


<Preview>
  <Story name="logged">
    <HeaderSection
        nav={
            <React.Fragment>
                <Button color="inherit">Home</Button>
                <Button color="inherit">Explore</Button>
                <Button color="inherit">Metrics</Button>
            </React.Fragment>
        }
       action={(
        <React.Fragment>
            <PostOwnerAvatar owner={userMocks} />
            <IconButtonPopover color="inherit" aria-label="settings">
                <MenuItem>Sair</MenuItem>
            </IconButtonPopover>
        </React.Fragment>
      )}
    />
  </Story>
</Preview>